Update for 00Meta, 389-ds, 389-ds.2045, BNFC, BN... security moderate

Security update for gnutls

This update for gnutls fixes the following issues:

- GNUTLS-SA-2017-4 / CVE-2017-7507: Fix crash in status response TLS extension decoding (bsc#1043398)
- GNUTLS-SA-2017-3 / CVE-2017-7869: Fix out-of-bounds write in OpenPGP certificate decoding (bsc#1034173)
- Address read of 4 bytes past the end of buffer in OpenPGP certificate parsing (bsc#1038337)

This update was imported from the SUSE:SLE-12:Update update project.

Fixed bugs
bnc#1038337
VUL-1: gnutls: out-of-bound read in OpenPGP certificate parsing
bnc#1034173
VUL-0: CVE-2017-7869: gnutls: integer overflow and heap-based buffer overflow (cdk_pkt_read function in opencdk/read-packet.c)
bnc#1043398
VUL-1: CVE-2017-7507: gnutls: Crash upon receiving well-formed status_request extension
Selected Binaries
openSUSE Build Service is sponsored by